Package net.shibboleth.idp.attribute.resolver.dc.scripted.impl

# Class ScriptedDataConnector.DataConnectorScriptEvaluator

java.lang.Object
net.shibboleth.shared.scripting.AbstractScriptEvaluator
net.shibboleth.idp.attribute.resolver.dc.scripted.impl.ScriptedDataConnector.DataConnectorScriptEvaluator

Enclosing class:
  ScriptedDataConnector

private class ScriptedDataConnector.DataConnectorScriptEvaluator extends AbstractScriptEvaluator
Evaluator bound to the DataConnector semantic.

## Field Summary

### Fields inherited from class net.shibboleth.shared.scripting.AbstractScriptEvaluator

`DEFAULT_ENGINE`

## Constructor Summary

Constructors
Constructor
Description
`DataConnectorScriptEvaluator(EvaluableScript theScript)`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`private void`
`checkValues(IdPAttribute attribute)`
Ensure that all the values in the attribute are of the correct type.
`protected Map<String,IdPAttribute>`
`execute(AttributeResolutionContext resolutionContext, AttributeResolverWorkContext workContext)`
Execution hook.
`protected Object`
`finalizeContext(ScriptContext scriptContext, Object scriptResult)`
`protected void`
`prepareContext(ScriptContext scriptContext, Object... input)`

### Methods inherited from class net.shibboleth.shared.scripting.AbstractScriptEvaluator

`evaluate, getCustomObject, getHideExceptions, getLogPrefix, getOutputType, getReturnOnError, setContextExtenders, setCustomObject, setHideExceptions, setLogPrefix, setOutputType, setReturnOnError`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### DataConnectorScriptEvaluator

public DataConnectorScriptEvaluator(@Nonnull EvaluableScript theScript)
Constructor.

Parameters:
  `theScript` - the script we will evaluate.

## Method Details

### execute

@Nullable @Unmodifiable @NotLive protected Map<String,IdPAttribute> execute(@Nonnull AttributeResolutionContext resolutionContext, @Nonnull AttributeResolverWorkContext workContext) throws ResolutionException
Execution hook.

Parameters:
  `resolutionContext` - resolution context
  `workContext` - work context
Returns:
  script result
Throws:
  `ResolutionException` - if the script fails

### prepareContext

protected void prepareContext(@Nonnull ScriptContext scriptContext, @Nullable Object... input)

Specified by:
  `prepareContext` in class `AbstractScriptEvaluator`

### finalizeContext

@Nullable protected Object finalizeContext(@Nonnull ScriptContext scriptContext, @Nullable Object scriptResult) throws ScriptException

Overrides:
  `finalizeContext` in class `AbstractScriptEvaluator`
Throws:
  `ScriptException`

### checkValues

private void checkValues(IdPAttribute attribute)
Ensure that all the values in the attribute are of the correct type.

Parameters:
  `attribute` - the attribute to look at